#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Gsl
Summary:	Math::Gsl Perl module - interface to the GNU Scientific Library
Summary(pl.UTF-8):	Moduł Perla Math::Gsl - interfejs do GNU Scientific Library
Name:		perl-Math-Gsl
Version:	0.08
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c0aee53dca804e28fb9aec5d8a5ff812
URL:		http://search.cpan.org/dist/Math-Gsl/
BuildRequires:	gsl-devel >= 0.94
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Gsl - Perl Interface to The GNU Scientific Library. Currently
this module only implements the GSL Special function library.

%description -l pl.UTF-8
Math::Gsl - perlowy interfejs do GNU Scientific Library (biblioteki
naukowej GNU). Aktualnie zaimplementowana jest tylko biblioteka
funkcji specjalnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README THANKS
%{perl_vendorarch}/Math/Gsl.pm
%{perl_vendorarch}/Math/Gsl
%dir %{perl_vendorarch}/auto/Math/Gsl
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Gsl/Gsl.so
%dir %{perl_vendorarch}/auto/Math/Gsl/Sf
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Gsl/Sf/Sf.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Gsl.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 06ad8a1
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 109192e
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 287bef7
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 90a8f88
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a0870c6
- release 4

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> e4ca4b8
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 655366e
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 7755ca1
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 81b7bfb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b65d485
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 55f97f5
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> e2091c5
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> 52f6777
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 971181c
- license fixes, unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 7a9f6cd
- ported to new bconds

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> dc610c3
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d6c323a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7164ba6
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> b21f64b
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 8de8f18
- should be ready for perl-5.8.0; release++

